Vana info, palun mine id.ee lehele!

wiki:IdKaardiTarkvara/DigiallkiriVeebisLinuxiga

Linux ja U-net, Riigiportaal(eesti.ee)

  1. Paigalda libpkcs11wrapper teek.
    • tuvasta, kus Java asub: näiteks Ubuntus /usr/lib/jvm/java-6-sun/ ehk oma arvutis otsi üles /usr/lib/jvm/java-KÕIGE-UUEM-VERSIOON/ -- edaspidi nimetame Java kataloogi ${JAVA_HOME}.
    • x86 (32-bit)
      1. teek tuleb paigaldada ${JAVA_HOME}/jre/lib/i386 kataloogi
      2. lae teek alla ja paki õiges kataloogis lahti: cd ${JAVA_HOME}/jre/lib/i386; wget http://ideelabor.ee/downloads/pkcs11wrapper-linux.tar.gz -O - | tar zxf - ( otselink failile)
    • x86_64 (64-bit) -- tuleb paigaldada  JRE/JDK 6 Update 12 või uuem, muidu ei tööta 64-bitine veebilehitseja plugin (testitud töötav kooslus: JRE 6 Update 12 + Ubuntu 8.10)
      1. teek tuleb paigaldada ${JAVA_HOME}/jre/lib/amd64 kataloogi
      2. lae teek alla ja paki õiges kataloogis lahti: cd ${JAVA_HOME}/jre/lib/amd64; wget http://ideelabor.ee/downloads/pkcs11wrapper-linux64.tar.gz -O - | tar zxf - ( otselink failile)
      3. loo teegi leidimiseks sümlink: ln -s libpkcs11wrapper64.so libpkcs11wrapper.so

Testitud on ainult Java 1.5 ja Java 1.6 (Update 1)

  1. Loo sümlink opensc-pkcs11.so failile (opensc-pkcs11.so võib asuda ka /usr/lib/pkcs11 kataloogis):
    sudo ln -sf /usr/lib/opensc-pkcs11.so /usr/lib/libesteid-pkcs11.so # seda kasutab SEB pank
    
  1. Sulge ja ava uuesti veebilehitseja. Peale seda saad digiallkirjastada  U-netis Riigiportaalis

PS. Tulevikus iga uue Java versiooni installeerimise puhul pead libpkcs11wrapper.so faili uuesti kopeerima uude Java kataloogi.

Java teated allkirjastamisel

Allkirjastamise javajubina laadimisel näed arvatavasti sarnast akent:

Java teade allkirjastamise jubinat kasutades

Vajuta lihtsalt 'cancel' ja kõik saab korda. Tegemist ei ole allkirjastamise rakenduse teatega vaid Java enda leiutusega.

Võimalikud veateated

seb.ee allkirja andmisel:

Viga PKCS#11 ohjurprogrammi aktiveerimisel!

Mõlema vea puhul võib põhjus olla üleval mainitud libpkcs11wrapper.so faili puudumisest Java kataloogis (ole kindel, et antud fail asub sul kõige uuemas Java kataloogis ehk kataloogis, mida tegelikult kasutatakse). Näiteks Ubuntu upgrade puhul suure tõenäosusega installeeritakse masinasse ka Java uuem versioon, seega tuleb sul ka antud libpkcs11wrapper.so fail uude Java kataloogi kopeerida.

Attachments

  • java-teade.png Download (22.1 KB) - added by martin.paljak@… 8 years ago. Java teade allkirjastamise jubinat kasutades